Name:		ganyremote
Version:	8.1.1
Release:	%mkrel 1
Summary:	GTK front-end for anyRemote
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://anyremote.sourceforge.net/
Source0:	https://sourceforge.net/projects/anyremote/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildArch:	noarch

Requires:	python3dist(pygobject)
Requires:	python3dist(pybluez)
Requires:	anyremote >= 6.7
Requires:	bluez

%description
gAnyRemote package is GTK GUI front-end for anyRemote. It provides remote
control service on Linux through Bluetooth, InfraRed, Wi-Fi or TCP/IP
connection.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

# we'll cp our own doc files
rm -rf %{buildroot}%{_datadir}/doc

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png


%changelog
* Sun May 14 2023 daviddavid <daviddavid> 8.1.1-1.mga9
+ Revision: 1956827
- new version: 8.1.1

* Mon Mar 21 2022 umeabot <umeabot> 8.1-2.mga9
+ Revision: 1813628
- Mageia 9 Mass Rebuild

* Thu Nov 19 2020 daviddavid <daviddavid> 8.1-1.mga8
+ Revision: 1647604
- new version: 8.1

* Thu Aug 06 2020 wally <wally> 8.0-5.mga8
+ Revision: 1611492
- Port to Ayatana AppIndicator

* Wed Jul 22 2020 ovitters <ovitters> 8.0-4.mga8
+ Revision: 1608014
- rebuild for get rid of pythonegg requires

* Sat May 09 2020 wally <wally> 8.0-3.mga8
+ Revision: 1582259
- rebuild for updated python deps
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 8.0-2.mga8
+ Revision: 1524096
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Mar 26 2019 daviddavid <daviddavid> 8.0-1.mga7
+ Revision: 1380278
- new version: 8.0
- port to Python3

* Thu Sep 20 2018 umeabot <umeabot> 7.0-2.mga7
+ Revision: 1278397
- Mageia 7 Mass Rebuild

* Tue Jan 30 2018 daviddavid <daviddavid> 7.0-1.mga7
+ Revision: 1198134
- new version: 7.0
- port ganyremote from PyGTK to PyGObject

* Fri Feb 19 2016 umeabot <umeabot> 6.3.3-2.mga6
+ Revision: 967562
- Mageia 6 Mass Rebuild

* Thu Jul 02 2015 daviddavid <daviddavid> 6.3.3-1.mga6
+ Revision: 849545
- new version: 6.3.3

* Wed Oct 15 2014 umeabot <umeabot> 6.3.2-3.mga5
+ Revision: 742480
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3.2-2.mga5
+ Revision: 679414
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 daviddavid <daviddavid> 6.3.2-1.mga5
+ Revision: 666346
- update Source link-url
- update file list
- new version: 6.3.2

* Sat Oct 19 2013 umeabot <umeabot> 6.3.1-2.mga4
+ Revision: 536091
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 fwang <fwang> 6.3.1-1.mga4
+ Revision: 483274
- new version 6.3.1

* Mon Aug 19 2013 sander85 <sander85> 6.3-1.mga4
+ Revision: 467778
- New version: 6.3

* Thu Jun 13 2013 fwang <fwang> 6.2-1.mga4
+ Revision: 442280
- new version 6.2

* Fri Jan 11 2013 umeabot <umeabot> 6.1-2.mga3
+ Revision: 351060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 6.1-1.mga3
+ Revision: 307369
- new version 6.1

* Tue Aug 21 2012 fedya <fedya> 6.0.1-1.mga3
+ Revision: 282910
- imported package ganyremote

